Breadcrumbs

Metavault API - Get API token list

GetApiTokens - GET

Path

/api/apitokens

Http Method

GET

Overview

no license

Get a collection of API tokens, with their available information.

The full cleartext tokens will not be available through this call. Only token creation returns the full token: Metavault API - Create API token

Required permissions

  • Global administration privileges. ADMIN

Request

Query parameters

See: Metavault API - General concepts. Most notably, the isAdmin filter can be used to filter out admin or non-admin tokens.

Response

Success response (200 OK)

JSON
{
  "_embedded": {
    "apiTokens": [
      {
        "tokenPrefix":"mvpat-YeWU",
        "id": "5cb94c9bcb74427b9884dced5342a368",
        "name": "MyApiKey",
        "expiry": "2026-01-31T00:00:00Z",
        "creationDate": "2026-01-21T11:09:41.1811414\u002B01:00",
        "isAdmin": false,
        "accessRights" : {}
      },
      {
        "tokenPrefix":"mvpat-99Aa",
        "id": "82eaeb016674427b9884dced534546bb",
        "name": "MyApiKey2",
        "expiry": "2026-01-31T00:00:00Z",
        "creationDate": "2026-01-21T11:09:41.1811414\u002B01:00",
        "isAdmin": true,
        "accessRights" : {}
      }
    ]
  }
  "sort": [],
  "index": 0,
  "limit": 10,
  "total": 2
}
Response fields

For collection parameter responses see:Metavault API - General concepts

Field

Type

Description

_embedded.apiTokens

array

The list of API tokens. For the fields of one specific token, please see: Metavault API - Get API token